<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/nav_login"
    app:startDestination="@id/loginSmsFragment">

    <fragment
        android:id="@+id/loginSmsFragment"
        android:name="com.rdiot.yx485.ui.login.LoginSmsFragment"
        android:label="LoginSmsFragment"
        tools:layout="@layout/fra_login_sms">
        <action
            android:id="@+id/action_loginSmsFragment_to_loginPwdFragment"
            app:destination="@id/loginPwdFragment"
            app:enterAnim="@anim/slide_in_right"
            app:exitAnim="@anim/slide_out_left"
            app:popEnterAnim="@anim/slide_in_left"
            app:popExitAnim="@anim/slide_out_right" />
    </fragment>

    <fragment
        android:id="@+id/loginPwdFragment"
        android:name="com.rdiot.yx485.ui.login.LoginPwdFragment"
        android:label="LoginPwdFragment"
        tools:layout="@layout/fra_login_pwd">
        <action
            android:id="@+id/action_loginPwdFragment_to_resetPwdFragment"
            app:destination="@id/resetPwdFragment"
            app:enterAnim="@anim/slide_in_right"
            app:exitAnim="@anim/slide_out_left"
            app:popEnterAnim="@anim/slide_in_left"
            app:popExitAnim="@anim/slide_out_right" />
        <action
            android:id="@+id/action_loginPwdFragment_to_loginSmsFragment"
            app:destination="@id/loginSmsFragment"
            app:enterAnim="@anim/slide_in_right"
            app:exitAnim="@anim/slide_out_left"
            app:popEnterAnim="@anim/slide_in_left"
            app:popExitAnim="@anim/slide_out_right" />
    </fragment>
    <fragment
        android:id="@+id/resetPwdFragment"
        android:name="com.rdiot.yx485.ui.login.ResetPwdFragment"
        android:label="ResetPwdFragment"
        tools:layout="@layout/fra_reset_pwd" />


</navigation>